// Data mockup
let users =
    [
        {
            "email": "string",
            "login": "string",
            "phone": "string",
            "name": "string",
            "surname": "string",
            "is_active": true,
            "id": 0,
            "role_id": 2
        }
    ]

export default class UserService {
    static async getUsers() {
        new Promise((resolve, reject) => {
            if (!users) {
                return setTimeout(
                    () => reject(new Error('Users not found')),
                    250
                )
            }

            setTimeout(() => resolve(users), 250)
        })
    }
}